Bug 113562 - Task list should default to locked tasks
Task list should default to locked tasks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS-usability (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tzu-Mainn Chen
Daniel Berrange
http://aplaws-ws3.ccm-demo.redhat.de/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 07:44 EST by Lindsay Ould
Modified: 2010-09-03 10:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-03 10:27:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lindsay Ould 2004-01-15 07:44:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
Current page defaults to all tasks - Most users would need to access 
their own locked tasks first, can choose unlocked or all tasks if 
necessary

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.logon as any user
2.automatically taken to /content-center (task list)
3.View page 
    

Additional info:
Comment 1 Lindsay Ould 2004-01-16 11:22:15 EST
I have discussed this with Dan Berrange following reporting bug 
113687.  Thinking through scenarios, I now think that the default 
should be 'View all tasks' as it stands at present providing that the 
list order is locked tasks, unlocked tasks and then all tasks.  I am 
not sure what would happen with hundreds of items being input, but 
presumably if user locked and unlocked displayed first this would 
limit the number of pages that had to be searched through
Comment 2 Tzu-Mainn Chen 2004-01-16 14:25:01 EST
Okay, I've made the change so that the behaviour should be as you stated.
Comment 3 Scott Seago 2004-01-17 15:44:26 EST
Now that we've added title, name, date sorting, we can no longer rely
on the locked by you, unlocked, locked by someone else order. So the
updated staging release has 'view all tasks' selected as requested.
However, next week we'll need to enable sorting on lock status, and
make it the default sort column.
Comment 4 David Lawrence 2006-07-17 23:35:30 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.